export declare class DataTableItem {
    title?: any;
    value?: any;
    style?: {
        [klass: string]: any;
    };
    class?: string;
    buttons?: DataTableItemButton[];
}
export interface DataTableItemButton {
    html: string;
    class?: string;
    style?: {
        [klass: string]: any;
    };
    callback: (item: any) => void;
}
export interface DataTableRow {
    [key: string]: (DataTableItem | any);
}
export declare type DatatableRows = DataTableRow[];
